Package uk.ac.starlink.auth

# Class CookieIvoaAuthScheme

java.lang.Object
uk.ac.starlink.auth.IvoaAuthScheme
uk.ac.starlink.auth.CookieIvoaAuthScheme

All Implemented Interfaces:
  `AuthScheme`

public class CookieIvoaAuthScheme extends IvoaAuthScheme
IvoaAuthScheme concrete subclass for working with cookies. A cookie (or possibly cookies) is acquired by presenting credentials to a URL provided in a challenge, and is subsequently used for access to protected resources. Cookies themselves contain relevant scope information.

This implements the "ivoa_cookie" scheme.

Since:
  10 Dec 2021
Author:
  Mark Taylor
See Also:
  - RFC 2965

## Nested Class Summary

## Nested classes/interfaces inherited from class uk.ac.starlink.auth.IvoaAuthScheme

`IvoaAuthScheme.AuthReader<T>`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CookieIvoaAuthScheme`
`INSTANCE`
Singleton instance.
`static final String`
`SCHEME_NAME`
Name and identifier for this scheme ("ivoa_cookie").

### Fields inherited from class uk.ac.starlink.auth.IvoaAuthScheme

`ACCESSURL_PARAM, STANDARDID_PARAM`

## Method Summary

Modifier and Type
Method
Description
`ContextFactory`
`createContextFactory(LoginProtocol loginProto, URL loginUrl, URL challengeUrl)`
Creates a ContextFactory for this scheme with a given login protocol instance.

### Methods inherited from class uk.ac.starlink.auth.IvoaAuthScheme

`createContextFactory, getName, getSuccessResponse, readAuth`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final CookieIvoaAuthScheme INSTANCE
Singleton instance.

### SCHEME_NAME

public static final String SCHEME_NAME
Name and identifier for this scheme ("ivoa_cookie").

See Also:
  - Constant Field Values

## Method Details

### createContextFactory

public ContextFactory createContextFactory(LoginProtocol loginProto, URL loginUrl, URL challengeUrl)
Description copied from class: `IvoaAuthScheme`
Creates a ContextFactory for this scheme with a given login protocol instance. The return value should generally not be null, since if it's got as far as this call, the challenge looks like it's intended for this scheme.

Specified by:
  `createContextFactory` in class `IvoaAuthScheme`
Parameters:
  `loginProto` - login protocol
  `loginUrl` - login URL
  `challengeUrl` - URL from which the challenge was received
Returns:
  context factory